#include "stdafx.h"
#include "RobotArm2.h"
#include <windows.h>

int main()
{
	//Create variable to hold COM port number
	//Remember to change this to match your Robot Arm port number
	char PortNumber = 63;

	//Open Port
	RA2_ComOpen(PortNumber);

	Sleep(1000);

	//Store Coordinates
	RA2_StoreCoords(0,0,0,0);
	RA2_StoreCoords(1,1020,1800,950);

	//Home and enable motors
	RA2_HomeAll();

	//Goto Position
	RA2_GotoPosition(1);

	//While motors moving
	while ( RA2_IsMoving() > 0 );

	//Goto Position
	RA2_GotoPosition(0);

	//While motors moving
	while ( RA2_IsMoving() > 0 );

	//Close Port
	RA2_ComClose(PortNumber);

    return 0;
}


